# Standard_Address.hxx File Reference

`#include <string.h>`
`#include <Standard_TypeDef.hxx>`
`#include <Standard_Integer.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_Address_Type_ ()
Standard_Address | ShallowCopy (const Standard_Address Value)
Standard_Integer | HashCode (const Standard_Address Value, const Standard_Integer Upper)
Standard_Boolean | IsSimilar (const Standard_Address One, const Standard_Address Two)
Standard_Boolean | IsEqual (const Standard_Address One, const Standard_Address Two)

## Function Documentation

Standard_Integer HashCode | ( | const Standard_Address | Value,
|  | const Standard_Integer | Upper
| ) | `[inline]`

Standard_Boolean IsEqual | ( | const Standard_Address | One,
|  | const Standard_Address | Two
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_Address | One,
|  | const Standard_Address | Two
| ) | `[inline]`

Standard_Address ShallowCopy | ( | const Standard_Address | Value | ) | `[inline]`

class __Standard_API Handle_Standard_Type& Standard_Address_Type_ | ( |  | ) |